library(pbdMPI, quiet = TRUE)
init()
.comm.size <- comm.size()
.comm.rank <- comm.rank()

all.mu.levels <- seq(-10, 10, 0.5)
idx <- 1:length(all.mu.levels) %% .comm.size
x <- split(all.mu.levels, idx)

mu.levels <- scatter(split(all.mu.levels, idx))
comm.cat("\nAfter scatter, mu.levels:\n", quiet = TRUE)
comm.print(mu.levels, all.rank = TRUE)

m <- numeric( length(mu.levels) )
for (i in 1:length(mu.levels))
{
	mu <- mu.levels[i]
	x <- rnorm(n = 1000, mean = mu, sd = 1)
	m[i] <- mean(x)
}

means <- gather(m, rank.dest = 0)

comm.cat("\nOur result on process 0:\n", quiet = TRUE)
comm.print(means, quiet = TRUE)

comm.cat("\nOur result on process 0 after unlist:\n", quiet = TRUE)
comm.print(unlist(means), quiet = TRUE)

finalize()
