library(pbdDMAT, quiet=TRUE)
init.grid()
.comm.rank <- comm.rank()
.comm.size <- comm.size()

newctxt <- minctxt()
init.grid(NPROW = 1, NPCOL = .comm.size, ICTXT = newctxt)
grid <- blacs(ICTXT = newctxt)
.grid.row <- grid$MYROW
.grid.col <- grid$MYCOL

msg <- sprintf("My row is %d and my col is %d\n", .grid.row, .grid.col)
comm.cat(msg, all.rank = TRUE)

x <- matrix(.grid.col, 2, 3)
comm.print(x, all.rank = TRUE)

A <- ddmatrix(data = x, nrow = 2, ncol = 9, bldim = c(2,3), ICTXT = newctxt)
print(A)
global.A <- as.matrix(A)
comm.print(global.A)

finalize()
