library(pbdDMAT, quiet = TRUE)
init.grid()

X <- ddmatrix(data=0, nrow=6, ncol=6)

for (i in 1:6)
{
	X[i,i] <- 4
}

for (i in 1:5)
{
	X[i,i+1] <- 1
	X[i+1,i] <- 1
}

X.local <- as.matrix(X, proc.dest = 0)
comm.cat("\nX.local:\n", quiet = TRUE)
comm.print(X.local, proc.rank = 0, quiet = TRUE)

S <- svd(X)

comm.cat("\nSVD, d =\n", quiet = TRUE)
comm.print(S$d, proc.rank = 0, quiet = TRUE)

U.local <- as.matrix(S$u, proc.dest = 0)
comm.cat("SVD, u =\n", quiet = TRUE)
comm.print(U.local, proc.dest = 0, quiet = TRUE)

V.local <- as.matrix(S$v, proc.dest = 0)
comm.cat("SVD, v =\n", quiet = TRUE)
comm.print(V.local, proc.dest = 0, quiet = TRUE)


D <- as.ddmatrix(diag(S$d, nrow=6, ncol=6))
Y <- S$u %*% D %*% t(S$v)
Y.local <- round( as.matrix(Y, proc.dest = 0), 4)
comm.cat("\nY.local:\n", quiet = TRUE)
comm.print(Y.local, proc.rank = 0, quiet = TRUE)

finalize()

