library(MCMCpack)

start.time <- Sys.time()

# Read J and R from the command line, e.g.
# Rscript driver.R 2 1048576
cmd <- commandArgs(TRUE)
J <- as.integer(cmd[1])
R <- as.integer(cmd[2])

alpha <- rep(1,J)
n <- R

# Don't sample them all at once, or we might run out of memory
r <- 0
total <- 0
while (r < n)
{
	X <- rdirichlet( min(1000, n-r), alpha)
	total <- total + sum( apply(X, 1, prod) )
	r <- r + nrow(X)
}

prob.mc <- total / R

cat("Monte carlo probability:\n")
print(prob.mc, digits = 20)

elapsed <- as.numeric(Sys.time() - start.time, units = "secs")
cat("Elapsed secs:", elapsed, "\n")


