filename <- sprintf("../../data/HondaOdysseyData.csv")
dat <- read.table(filename, sep = ",", head = TRUE)

Model.levels <- levels(dat$Model)
Year.levels <- levels(as.ordered(dat$Year))

Price <- dat$Price
Model <- factor(dat$Model, levels = Model.levels)
Year <- factor(dat$Year, levels = Year.levels)
Mileage <- dat$Mileage

X <- model.matrix(~ Model + Mileage + Year)
y <- Price

beta.hat <- solve(t(X) %*% X) %*% t(X) %*% y
cat("beta.hat = \n")
print(beta.hat)

