library(pbdMPI, quiet = TRUE)
init()
.comm.size <- comm.size()
.comm.rank <- comm.rank()

A <- matrix(.comm.rank, 3, 3)

if(.comm.rank == 0) {
	X <- A

	for (id in seq(1, .comm.size-1))
	{
		y <- recv(rank.source = id)
		X <- X + y
	}
} else {
	send(A, rank.dest = 0)
}

comm.cat("Sum of all matrices X =\n", quiet = TRUE)
comm.print(X, quiet = TRUE)

finalize()
